/// <reference types="react" />
import * as React from 'react';
export declare class Dropdown extends React.Component<IDropdownProps, IDropdownState> {
    constructor(props: any);
    componentWillUnmount(): void;
    closeHandler(ev: any): void;
    render(): JSX.JSXElement;
    toggle(): void;
    onChange(key: any): void;
}
export interface IDropdownState {
    open?: Boolean;
    selected?: KeyValue;
}
export interface IDropdownProps {
    options: Array<IDropdownOption>;
    label?: string;
    onChange?: Function;
    selected?: KeyValue;
    name?: string;
}
export interface IDropdownOption extends KeyValue {
    className?: string;
    formatValue?: (option: KeyValue) => any;
}
export interface KeyValue {
    key: string;
    value: string | number;
}
