"use strict";
function combineClasses() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var tInput = args.reduce(function (classes, arg) {
        if (typeof (arg) === 'string') {
            classes.push(arg);
        }
        else {
            classes.push.apply(classes, arg);
        }
        return classes;
    }, []);
    var tClasses = tInput.filter(function (classname) { return classname; });
    return tClasses.join(' ').trim();
}
exports.combineClasses = combineClasses;
//# sourceMappingURL=util.js.map